Bug 12855 - Samba 4.7 will trigger a re-index of the DB on first startup
Samba 4.7 will trigger a re-index of the DB on first startup
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: 4.7
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 00:31 UTC by Andrew Bartlett
Modified: 2017-08-11 08:20 UTC (History)
1 user (show)

See Also:


Attachments
possible patch for master (1.72 KB, patch)
2017-07-31 22:27 UTC, Andrew Bartlett
no flags Details
patch cherry-picked from master for 4.7 (only) (1.84 KB, patch)
2017-08-03 02:10 UTC, Andrew Bartlett
garming: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-06-22 00:31:37 UTC
As part of the work to introduce the compatibleFeatures and incompatibleFeatures work the @INDEXLIST record is modified at first startup.

This can be really slow for a large domain (eg 40,000 users).  

We should re-consider if there is an alternate approach that is able to achieve the same aims.  Perhaps we should not rewrite the @INDEXLIST and just deny having any compatibleFeatures until it is chosen to be rewritten by the admin in a dbcheck test.
Comment 1 Andrew Bartlett 2017-07-31 22:27:16 UTC
Created attachment 13440 [details]
possible patch for master
Comment 2 Andrew Bartlett 2017-08-03 02:10:43 UTC
Created attachment 13444 [details]
patch cherry-picked from master for 4.7 (only)
Comment 3 Karolin Seeger 2017-08-04 07:08:16 UTC
Pushed to autobuild-v4-7-test.
Comment 4 Karolin Seeger 2017-08-11 08:20:41 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-7-test.
Closing out bug report.

Thanks!